Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.actions
Class DisassembleAction

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.actions.Action
              avrora.actions.DisassembleAction

All Implemented Interfaces:
  HelpItem

public class DisassembleAction
extends Action

The `DisassembleAction` class represents an action that allows the user to disassemble a binary file and display the instructions. This is useful for debugging the disassembler and also for inspecting binaries.

Field Summary

Fields inherited from class avrora.actions.Action
`options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`DisassembleAction()`

Method Summary
`void` | `run(java.lang.String[] args)` The `run()` method executes the action.

Methods inherited from class avrora.actions.Action
`newOption, newOption, newOption, newOption, newOption, newOptionList`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisassembleAction

    public DisassembleAction()

Method Detail

### run

    public void run(java.lang.String[] args)
             throws java.lang.Exception

  The `run()` method executes the action. The arguments on the command line are passed. The `Disassemble` action expects the first argument to be the name of the file to disassemble.

  Specified by:
    `run` in class `Action`
  Parameters:
    `args` - the command line arguments
  Throws:
    `java.lang.Exception` - if there is a problem reading the file or disassembling the instructions in the file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD